

{function name=categoriesprint  categories=null}

{if is_array($categories) && !empty($categories)}
{foreach $categories as $k => $v}
<li>
    {if array_key_exists('childrens',$v) && !empty($v['childrens'])}
    {$v['name']}
    <ul>{categoriesprint categories=$v['childrens']}</ul>
    {else}
    <label for="cat[{$k}]">
        <input id="cat[{$k}]" name="categories[]" type="checkbox" value="{$k}"> {$v['name']}
    </label>
    {/if}
</li>
{/foreach}

{else}

{/if}

{/function}

<style>
    .prices-block   .menu-v li{
        padding: 0;
        padding-top: 3px;
    }
    .menu-v.prices-categories li {
        padding: 0;
        padding-top: 3px;
    }
    .prices-block {
        padding-left: 20px;
        margin-bottom: 20px;
    }
    .prices-block .menu-v.prices label {
        padding-left: 20px;
    }
    .prices-block .menu-v.prices li  {
        padding: 2px;
    }
</style>
<script src="{$wa_app_static_url}js/products.js?v={$wa->version()}" type="text/javascript"></script>
<link rel="stylesheet" href="{$wa_app_static_url}css/products.css?v={$wa->version()}">


<div class="content products-content bordered-left blank left35px" >
   <form action="" method="get">
       <input type="hidden" name="module" value="pricesOnec">
    <h1 style="padding: 10px;">Выгрузки 1С</h1>
    <div style="padding-left: 20px;">
        <h3>Введите название файла:</h3>
        <div class="prices-block">
            <input name="name" value="price"> .xls
        </div>
        <h3>Выберите тип прайса:</h3>
        <div class="prices-block">
            <select name="type">
                <option value="0">Номенклатура состава</option>
                <option value="1">Номенклатура цен</option>
            </select>
            <input type="hidden" name="lists" value="yes">
        </div>
        <h3>Выберите категории:</h3>
        <div class="prices-block">
            {$categories = $wa->manufactory->categoriesThree()}
            <ul class="prices-categories menu-v">
                {categoriesprint categories=$categories }
            </ul>
        </div>

        <h3>Выберите цены:</h3>
        <div class="prices-block">
            <ul class="menu-v prices">
                {foreach $prices as $k => $v}
                <li {if $v->getType()=='delimiter'}class="delimiter"{/if}>
                    {if $v->getType()=='delimiter'}
                    <h3>{$v->getName()}</h3>
                    {else}
                    <label for="price_{$k}"><input id="price_{$k}" name="prices[{$k}]" type="checkbox"  value="{$k}"> {$v->getName()}</label><br>
                    {/if}
                </li>
                {/foreach}
            </ul>
        </div>
        <h3>Выберите  размеры:</h3>
        <div class="prices-block">
            <ul class="menu-v">
        {foreach $Pricing->getFeaturesSkus() as $k => $v}
                <li>
                    <label><input id="sizes_{$k}" name="sizes[{$k}]" type="checkbox"  value="{$k}" > {$Pricing->getSkuIndexName($k)}</label><br>
                </li>
        {/foreach}
                </ul>
            </div>
        <div>
            <input type="submit" value="Отправить" >
        </div>

</div>
   </form>
</div>

    <style type="text/css">
        {literal}
        .price-delimiter {
            text-align: center;
            background-color: #bfddfb !important;
            font-size: 14px;
            font-weight: bold;
        }
        {/literal}
    </style>